from eventAPI import *
from APIUtils import *

def fireEvent(e):
    if ((getTag(e, "lFlagS") & 0x100) == 0):
        return 1
    k = getTag(e, "kssAD")
    if (k != 5):
        showMessage(e, ["This place is supposed to be the \"bath\"room, but judging by the smell it serves more or less as an outhouse.",
                        "","The \"refuse\" is visibly dumped into a hole in the floor. How ingenious!"])
        return 1
    else:
        showMessage(e, ["A foul smell comes from a hole in the floor of this outhouse.",
                        "","You could errr, ummm...","","No, don't even think about it."])
        return 1
